### Constructor

# Foundry TtyAuthProvider new

#### Declaration [src]

    FoundryAuthProvider*
    foundry_tty_auth_provider_new (
      int pty_fd
    )

#### Description

No description available.

#### Parameters

`pty_fd`

  Type: `int`

  No description available.

#### Return value

Type: `FoundryAuthProvider`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.